about summary refs log tree commit diff
path: root/tests
diff options
context:
space:
mode:
authorEelco Dolstra <eelco.dolstra@logicblox.com>2014-02-01T15·08+0100
committerEelco Dolstra <eelco.dolstra@logicblox.com>2014-02-01T15·08+0100
commit2a97f7b039be4cd290076707e1b02d04d3b257b6 (patch)
tree759f8b689c6c23501b22c44b1db9af7d281d3fed /tests
parent965218a62a195632fe754307e09d4d4abd286c82 (diff)
Fix logging test
Diffstat (limited to 'tests')
-rw-r--r--tests/common.sh.in1
-rw-r--r--tests/logging.sh2
2 files changed, 1 insertions, 2 deletions
diff --git a/tests/common.sh.in b/tests/common.sh.in
index 2bbc39c28a84..0c4df7119204 100644
--- a/tests/common.sh.in
+++ b/tests/common.sh.in
@@ -23,7 +23,6 @@ export PATH=@bindir@:$PATH
 export NIX_BUILD_HOOK=
 export dot=@dot@
 export xmllint="@xmllint@"
-export xmlflags="@xmlflags@"
 export xsltproc="@xsltproc@"
 export SHELL="@bash@"
 
diff --git a/tests/logging.sh b/tests/logging.sh
index 117d483716a6..764999327c46 100644
--- a/tests/logging.sh
+++ b/tests/logging.sh
@@ -11,7 +11,7 @@ nix-log2xml < $TEST_ROOT/log.esc > $TEST_ROOT/log.xml
 
 # Is this well-formed XML?
 if test "$xmllint" != "false"; then
-    $xmllint $xmlflags --noout $TEST_ROOT/log.xml || fail "malformed XML"
+    $xmllint --noout $TEST_ROOT/log.xml || fail "malformed XML"
 fi
 
 # Convert to HTML.